eu.smoser.dungeongenerator.dungeon.objects

## Class Enemy

- java.lang.Object
- - eu.smoser.dungeongenerator.dungeon.objects.ADungeonObject
  - - eu.smoser.dungeongenerator.dungeon.objects.Enemy

    public class Enemy
    extends ADungeonObject

Stores information about enemies

### Field Summary

### Fields inherited from class eu.smoser.dungeongenerator.dungeon.objects.ADungeonObject

`descString`

### Constructor Summary

Constructors
Constructor and Description
`Enemy(Dungeon.Type type)` Constructs a new random enemy in a given type of room

### Method Summary

### Methods inherited from class eu.smoser.dungeongenerator.dungeon.objects.ADungeonObject

`toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Enemy

    public Enemy(Dungeon.Type type)

Constructs a new random enemy in a given type of room

Parameters:
  `type` - type of environment